Skip to Content
Mandate agreements

Get Mandate First Payment State on iPad

Accès

Membre de l’organisation avec cette autorisation :

  • payments:read

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

GET
/orgs/{organizationId}/mandate-agreements/{agreementId}/device/checkout/{paymentId}

Where a first payment started from the reception iPad stands.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

agreementId*string
paymentId*string

Response Body

OK

application/json
  1. response
state*string
Value in"open""pending""settled""failed"
Example Request
curl -X GET 'https://api.tillor.eu/orgs//mandate-agreements/string/device/checkout/string'
Example Response
{  "state": "open"}